move issue tool should also have a target category field
Target version:

Resolution: Fixed

Description

If I need to move a bunch of issues from a one project to another, | often want to keep them together by placing them into a category
of the target project.

Related issues:
Related to Redmine - Feature #4769: Ability to move an issue to a different p... Closed 2010-02-08

History

#1 - 2010-02-08 20:22 - Be Fio

It also makes sense inside a project. | keep forgetting that | can't "move" an issue to another category. Move is the logical place to look for that.

#2 - 2010-02-09 10:10 - Felix Schéfer
No, the Category is an attribute of the ticket and is changeable in the Update pane, the Move action is really only intended for moving tickets from one
project to another (which involves some more backend processing than "just" changing an attribute).

Anyway, Category is available for mass-editing in the issue list, so you could just select all the issues for which you want to change the category,
right-click on an "empty" space of the selected issues and assign them a new Category.

#3 - 2010-02-09 18:40 - Lucas Panjer

The original use case that failed without this feature was as follows:

1. Have two projects A and B

2. Have many issues in each project, many categorized, many uncategorized.

3. Try to move a set of issues from project A (category 1) into project B (category 2).
4. Note to yourself that you can't assign category 2 on move at this point.

Since you can't assign the category on move, and | believe the category is only sticky if you have the same category in both projects, it's very easy to
lose the issues you just moved in the morass of uncategorized issues in project B. Obviously you can go find all the issues and assign a category, but
it's not always easy to find them when you have non-trivial numbers of issues.

There is a workaround of creating matching fake categories in each project before you do these moves, but this is obviously unintuitive.

Hopefully this clarifies the motivation for such a feature.

#4 - 2010-05-12 01:14 - Alex Last

we just hit the same problem. it's VERY inconvenient to move hundreds of issues from 1 project to another (we're reorganizing our redmine
categories structure).

a must-have step is "choose related categories™:

src cat1 --> dest category1

#5-2011-12-16 11:24 - asd asd

+1

#6 - 2011-12-16 12:34 - Etienne Massip

- Category set to Issues

#7 - 2016-01-21 03:55 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed
The feature to move issues was integrated with the issue update form by #4769 (Redmine 1.4.0) and now we can choose a category on a destination
project.

#8 - 2016-01-21 03:56 - Go MAEDA

- Related to Feature #4769: Ability to move an issue to a different project from the update form added
